﻿using System;
using FTD2XX_NET;
using FT232LcdLib;

namespace ft232rltest
{
	class Program
	{
		static void Main(string[] args)
		{
			FTDI ftdev = new FTDI();
			ftdev.OpenByIndex(0);
			ftdev.SetBitMode(0xFF, FTDI.FT_BIT_MODES.FT_BIT_MODE_ASYNC_BITBANG);	//0xFF:全ビット出力方向 (ビットが1:出力 0:入力)
			ftdev.SetBaudRate(9600);
			Console.WriteLine("FT232 open");
			
			LcdCtrl lcd = new LcdCtrl(ftdev, BitBangSignal.D0, BitBangSignal.D4, BitBangSignal.D5);
			lcd.Init();
			Console.WriteLine("LCD init ok");
			
			lcd.PutStr("Hallo world!", 0, 0);
			lcd.PutStr("FT232-LCD lib.", 1, 0);
			Console.WriteLine("LCD write ok");
			
			lcd.BitReset();
			ftdev.Close();
			Console.WriteLine("FT232 close");
			
			Console.WriteLine("Press any key.");
			Console.ReadKey();
		}
	}
}
